@web-font-path: "roboto-debian.css";
v2.2.0 (RP2040)
Loading...
Searching...
No Matches
rtc.h File Reference
`#include "pico.h"`
Include dependency graph for rtc.h:

Go to the source code of this file.

## Typedefs

typedef void(* | rtc_callback_t) (void)

## Functions

void | rtc_init (void)
| Initialise the RTC system.
bool | rtc_set_datetime (const datetime_t *t)
| Set the RTC to the specified time.
bool | rtc_get_datetime (datetime_t *t)
| Get the current time from the RTC.
bool | rtc_running (void)
| Is the RTC running?
void | rtc_set_alarm (const datetime_t *t, rtc_callback_t user_callback)
| Set a time in the future for the RTC to call a user provided callback.
void | rtc_enable_alarm (void)
| Enable the RTC alarm (if inactive).
void | rtc_disable_alarm (void)
| Disable the RTC alarm (if active).